package Bloonix::Model::RESTX::Stats;

use strict;
use warnings;

sub get {
    my ($self, %opts) = @_;
    my $from_time = $opts{from_time};
    my $to_time = $opts{to_time};
    my $termkey = ref $opts{service_id}
        ? "terms"
        : "term";

    my $request = {
        from => 0,
        size => 10000,
        query => {
            bool => {
                filter => [
                    { $termkey => { service_id => $opts{service_id} } },
                    { range => { time => { from => $from_time, to => $to_time } } }
                ]
            }
        }, 
    };

    if ($opts{fields}) {
        $request->{fields} = $opts{fields};
    }

    if ($opts{subkey}) {
        push @{$request->{query}->{bool}->{filter}}, {
            term => { subkey => $opts{subkey} }
        };
    }

    my $result = $self->schema->base->getall(
        from_time => $from_time,
        to_time => $to_time,
        request => $request,
        type => "stats"
    );

    return $result->{hits};
}

1;
